post
https://gamma.api.springbig.technology/general/v1/members//attachments
Use this endpoint to include a signature attachment to an existing member profile.
Content TypeThe content type of the request must be form data
How /attachments works
/attachments worksAttachments are files associated with the member. Each file type has a label that identifies what type of file it is.
Springbig accepts visual files (img/jpeg) that represent a user's consent to messaging on the 3rd party product.
Example Curl
curl --request POST \
--url 'https://api.springbig.technology/{environment}/general/v1/members/{member_id}/attachments' \
--header 'AUTH-TOKEN: {AUTH-TOKEN}' \
--header 'Content-Type: multipart/form-data' \
--header 'x-api-key: {x-api-key}' \
--form file=@/Users/username/Downloads/signature.png \
--form label=signature
